import mongoose from "mongoose";

const contactinfo = mongoose.Schema({
  companyName: {
    type: String,
    required: false,
  },
  contactNumber: {
    type: String,
    required: false,
  },
  address: {
    type: String,
    required: false,
  },
});

const basicinfo = mongoose.Schema({
  appUrl: {
    type: String,
    required: false,
  },
  ipAddress: {
    type: String,
    required: false,
  },
  appName: {
    type: String,
    required: false,
  },
  appDesc: {
    type: String,
    required: false,
  },
 
});

const techinfo = mongoose.Schema({
  financialvalue: {
    type: String,
    required: false,
  },
  frontend: {
    type: String,
    required: false,
  },
  backend: {
    type: String,
    required: false,
  },
  database: {
    type: String,
    required: false,
  },
  application: {
    type: String,
    required: false,
  },
  others: {
    type: String,
    required: false,
  },
  webAppType: {
    type: String,
    required: false,
  },
});

const companySchema = mongoose.Schema(
  {
    techinfo: techinfo,
    contactinfo: contactinfo,
    basicinfo: basicinfo,
    userid:{
      type: String,
      required: false,
    }
  },
  {
    collection: "company",
  }
);

const Company = mongoose.model("company", companySchema);
export default Company;
