import mongoose from "mongoose";

const locationSchema = mongoose.Schema({
  long: {
    type: String,
  },
  lang: {
    type: String,
  },
});

const userSchema = mongoose.Schema(
  {
    name: {
      type: String,
    },
    username: {
      type: String,
    },
    email: {
      type: String,
      unique: true,
    },
    location: locationSchema,
    password: {
      type: String,
    },
    token: {
      type: String,
    },
    companyId: {
      type: String,
    },
    device: {
      type: String,
    },
    shift: {
      type: String,
    },
    isVerified: {
      type: Boolean,
    },
    companyid: {
      type: String,
    },
    isFaceid: {
      type: Boolean,
      default: false,
    },
    timeShift: {
      type: String,
    },
    logTime: {
      type: String,
    }
  },
  {
    collection: "user",
  }
);

const User = mongoose.model("User", userSchema);
export default User;
