import { Router } from "express";
import {
  getAllLogData,
  sendOTP,
  verifyOTP,
} from "../controllers/otp-controller.js";
const router = Router();

router.post("/verify", async (req, res) => {
  try {
    let { email, otp } = req.body;

    const validOTP = await verifyOTP({ email, otp });
    res.status(200).json({ valid: validOTP });
  } catch (error) {
    res.status(400).json(error.message);
  }
});

// request new verification otp
router.post("/", async (req, res) => {
  try {
    const { email, subject, message, duration } = req.body;
    const createdOTP = await sendOTP({
      email,
      subject,
      message,
      duration,
    });
    res.status(200).json(createdOTP);
  } catch (error) {
    console.log(error);
  }
});

router.get("/getlogdata", async (req, res) => {
  try {
    const getalllogData = await getAllLogData();
    res.status(200).json(getalllogData);
  } catch (error) {
    console.log(error);
  }
});

export { router as otpRouter };
