import bcrypt from "bcrypt";

export const hashData = async (data, saltRounds = 10) => {
  try {
    const hashData = await bcrypt.hash(data, saltRounds);
    console.log({ hashData });
    return hashData;
  } catch (error) {
    throw error;
  }
};

export const verifyHashedData = async (unhashed, hashed) => {
  try {
    const match = await bcrypt.compare(unhashed, hashed);
    return match;
  } catch (error) {
    throw error;
  }
};
