import Image from "next/image";
import Navbar from "../../components/navbar/page";
import Link from "next/link";

export default function Rasp() {
  return (
    <div className="m-10">
      <Navbar />
      <div className="flex flex-row mb-5">
        <Link href={"http://localhost:3000/dashboard/"}><p className="text-[#B200B6]"> Home  </p></Link>
        <p>{` / Rasp Engine`}</p>
      </div>
      <h1 className="px-10 py-2 mb-5 text-xl font-semibold bg-[#1d63ed] text-white rounded-full w-fit">
        RASP ENGINE
      </h1>
      <div className="grid grid-cols-2 gap-10">
        {/* col 1 */}
        <div className="flex-flex-col">
          <div className="bg-[#1d63ed] rounded-xl pb-5">
            <h1 className="px-10 py-2 text- font-semibold text-white mb-3 pt-5">
              Instructions to Integrate
            </h1>

            <p className="px-10 py-2 text-white">
              Step 1: Set Up OpenRASP Docker Container
            </p>
            <p className="px-10 py-2 text-white">
              Step 2: Access the OpenRASP Dashboard
            </p>
            <p className="px-10 py-2 text-white">
              Step 3: Configure Your Web Application
            </p>
            <p className="px-10 py-2 text-white">
              Step 4: Integrate OpenRASP with Your Web Application
            </p>
            <p className="px-10 py-2 text-white">
              Step 5: Monitor and Configure Alerts
            </p>
            <button className="bg-[#ffffff] hover:bg-[#e4e4e4] text-[#1d63ed] font-semibold ml-10 mt-5 mb-5 rounded-full px-4 py-2">
              Read Full Instructions PDF
            </button>
          </div>
        </div>

        {/* col 2 */}
        <div className="flex flex-col gap-5">
          <div className="bg-[#1d63ed] rounded-xl pb-5 w-fit">
            <h1 className="px-10 py-2 text- font-semibold text-white mb-3 pt-5">
              DOCKER Link
            </h1>
            <div className="flex flex-row mx-10 gap-10">
              <Image
                src="/images/tools/docker/docker.png"
                alt="use img"
                height={120}
                width={120}
              />
              <button className="bg-[#ffffff] hover:bg-[#e4e4e4] font-semibold text-[#1d63ed] rounded-full px-4 py-2 h-fit">
                Click Here to Download
              </button>
            </div>
          </div>

          {/* left 2 box*/}
          <div className="bg-[#1d63ed] rounded-xl pb-5">
            <h1 className="px-10 py-2 text- font-semibold text-white mb-3 pt-5">
              Video Tutorial
            </h1>
            <p className="px-10 py-2 text-white">
              This video tutorial will help you to integrate RASP engine into
              your web application
            </p>
            <button className="bg-[#ffffff] hover:bg-[#e4e4e4] font-semibold ml-10 mt-2 text-[#1d63ed] rounded-full px-4 py-2 h-fit">
              Watch the Video
            </button>
          </div>
        </div>
      </div>
    </div>
  );
}
